## r-cran-textshaping 0.2.1

=== DESCRIPTION ===
Package: textshaping
Title: Bindings to the 'HarfBuzz' and 'Fribidi' Libraries for Text
        Shaping
Version: 0.2.1
Authors@R: c(
    person("Thomas Lin", "Pedersen", , "thomas.pedersen@rstudio.com", c("cre", "aut"), comment = c(ORCID = "0000-0002-5147-4711")),
    person("RStudio", role = "cph")
    )
Description: Provides access to the text shaping functionality in the 'HarfBuzz'
    library and the bidirectional algorithm in the 'Fribidi' library. 
    'textshaping' is a low-level utility package mainly for graphic devices that 
    expands upon the font tool-set provided by the 'systemfonts' package.
License: MIT + file LICENSE
Encoding: UTF-8
LazyData: true
RoxygenNote: 7.1.1
Depends: R (>= 3.2.0)
Imports: systemfonts (>= 0.3.0)
LinkingTo: cpp11 (>= 0.2.1), systemfonts
SystemRequirements: C++11, freetype2, harfbuzz, fribidi
URL: https://github.com/r-lib/textshaping
BugReports: https://github.com/r-lib/textshaping/issues
Suggests: covr, knitr, rmarkdown
VignetteBuilder: knitr
NeedsCompilation: yes
Packaged: 2020-11-12 15:22:08 UTC; thomas
Author: Thomas Lin Pedersen [cre, aut]
    (<https://orcid.org/0000-0002-5147-4711>),
  RStudio [cph]
Maintainer: Thomas Lin Pedersen <thomas.pedersen@rstudio.com>
Repository: CRAN
Date/Publication: 2020-11-13 06:30:02 UTC

=== debian/changelog ===
r-cran-textshaping (0.2.1-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 19 Nov 2020 11:18:09 +0100

r-cran-textshaping (0.1.2-2) unstable; urgency=medium

  * debhelper-compat 13 (routine-update)
  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Tue, 27 Oct 2020 17:43:57 +0100

r-cran-textshaping (0.1.2-1) unstable; urgency=medium

  * Initial release (closes: #972460)

 -- Andreas Tille <tille@debian.org>  Sun, 18 Oct 2020 21:55:17 +0200

=== debian/control ===
Source: r-cran-textshaping
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-systemfonts,
               r-cran-cpp11,
               libharfbuzz-dev,
               libfribidi-dev
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-textshaping
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-textshaping.git
Homepage: https://cran.r-project.org/package=textshaping
Rules-Requires-Root: no

Package: r-cran-textshaping
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R bindings to the 'HarfBuzz' and 'Fribidi' libraries for text shaping
 Provides access to the text shaping functionality in the 'HarfBuzz'
 library and the bidirectional algorithm in the 'Fribidi' library.
 'textshaping' is a low-level utility package mainly for graphic devices that
 expands upon the font tool-set provided by the 'systemfonts' package.

## r-cran-textshaping 0.3.6

=== DESCRIPTION ===
Package: textshaping
Title: Bindings to the 'HarfBuzz' and 'Fribidi' Libraries for Text
        Shaping
Version: 0.3.6
Authors@R: c(
    person("Thomas Lin", "Pedersen", , "thomas.pedersen@rstudio.com", c("cre", "aut"), comment = c(ORCID = "0000-0002-5147-4711")),
    person("RStudio", role = "cph")
    )
Description: Provides access to the text shaping functionality in the 'HarfBuzz'
    library and the bidirectional algorithm in the 'Fribidi' library. 
    'textshaping' is a low-level utility package mainly for graphic devices that 
    expands upon the font tool-set provided by the 'systemfonts' package.
License: MIT + file LICENSE
Encoding: UTF-8
RoxygenNote: 7.1.1
Depends: R (>= 3.2.0)
Imports: systemfonts (>= 1.0.0)
LinkingTo: cpp11 (>= 0.2.1), systemfonts (>= 1.0.0)
SystemRequirements: C++11, freetype2, harfbuzz, fribidi
URL: https://github.com/r-lib/textshaping
BugReports: https://github.com/r-lib/textshaping/issues
Suggests: covr, knitr, rmarkdown
VignetteBuilder: knitr
NeedsCompilation: yes
Packaged: 2021-10-13 11:45:03 UTC; thomas
Author: Thomas Lin Pedersen [cre, aut]
    (<https://orcid.org/0000-0002-5147-4711>),
  RStudio [cph]
Maintainer: Thomas Lin Pedersen <thomas.pedersen@rstudio.com>
Repository: CRAN
Date/Publication: 2021-10-13 12:00:02 UTC

=== debian/changelog ===
r-cran-textshaping (0.3.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)

 -- Nilesh Patra <nilesh@debian.org>  Sat, 16 Oct 2021 19:28:42 +0000

r-cran-textshaping (0.3.5-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 17 Aug 2021 14:03:46 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                r-cran-cpp11,
                libharfbuzz-dev,
                libfribidi-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-textshaping
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-textshaping.git
 Homepage: https://cran.r-project.org/package=textshaping

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/textshaping_([-\d.]*)\.tar\.gz

## r-cran-textshaping 0.3.7

=== DESCRIPTION ===
Package: textshaping
Title: Bindings to the 'HarfBuzz' and 'Fribidi' Libraries for Text
        Shaping
Version: 0.3.7
Authors@R: c(
    person("Thomas Lin", "Pedersen", , "thomas.pedersen@posit.co", role = c("cre", "aut"),
           comment = c(ORCID = "0000-0002-5147-4711")),
    person("Posit, PBC", role = c("cph", "fnd"))
  )
Description: Provides access to the text shaping functionality in the
    'HarfBuzz' library and the bidirectional algorithm in the 'Fribidi'
    library.  'textshaping' is a low-level utility package mainly for
    graphic devices that expands upon the font tool-set provided by the
    'systemfonts' package.
License: MIT + file LICENSE
URL: https://github.com/r-lib/textshaping
BugReports: https://github.com/r-lib/textshaping/issues
Depends: R (>= 3.2.0)
Imports: systemfonts (>= 1.0.0)
Suggests: covr, knitr, rmarkdown
LinkingTo: cpp11 (>= 0.2.1), systemfonts (>= 1.0.0)
VignetteBuilder: knitr
Encoding: UTF-8
RoxygenNote: 7.2.3
SystemRequirements: freetype2, harfbuzz, fribidi
NeedsCompilation: yes
Packaged: 2023-10-09 09:06:16 UTC; thomas
Author: Thomas Lin Pedersen [cre, aut]
    (<https://orcid.org/0000-0002-5147-4711>),
  Posit, PBC [cph, fnd]
Maintainer: Thomas Lin Pedersen <thomas.pedersen@posit.co>
Repository: CRAN
Date/Publication: 2023-10-09 14:00:06 UTC

=== debian/changelog ===
r-cran-textshaping (0.3.7-2) unstable; urgency=medium

  * Fix clean target
    Closes: #1046517

 -- Andreas Tille <tille@debian.org>  Fri, 27 Oct 2023 15:12:40 +0200

r-cran-textshaping (0.3.7-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 27 Oct 2023 14:59:26 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                r-cran-cpp11,
                libharfbuzz-dev,
                libfribidi-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-textshaping
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-textshaping.git
 Homepage: https://cran.r-project.org/package=textshaping

## r-cran-textshaping 1.0.4

=== debian/changelog ===
r-cran-textshaping (1.0.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  * Add autopkgtests.

 -- Charles Plessy <plessy@debian.org>  Fri, 13 Feb 2026 14:28:31 +0900

=== debian/control ===
Source: r-cran-textshaping
Standards-Version: 4.7.3
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders:
 Andreas Tille <tille@debian.org>,
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Build-Depends:
 debhelper-compat (= 13),
 dh-r,
 r-base-dev,
 r-cran-lifecycle,
 r-cran-stringi,
 r-cran-systemfonts (>= 1.3.0),
 r-cran-cpp11,
 r-cran-systemfonts,
 libharfbuzz-dev,
 libfribidi-dev,
 architecture-is-64-bit,
 architecture-is-little-endian,
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-textshaping
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-textshaping.git
Homepage: https://cran.r-project.org/package=textshaping
Rules-Requires-Root: no

Package: r-cran-textshaping
Architecture: any
Depends:
 ${R:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
Recommends:
 ${R:Recommends},
Suggests:
 ${R:Suggests},
Description: GNU R bindings to the 'HarfBuzz' and 'Fribidi' libraries for text shaping
 Provides access to the text shaping functionality in the 'HarfBuzz'
 library and the bidirectional algorithm in the 'Fribidi' library.
 'textshaping' is a low-level utility package mainly for graphic devices that
 expands upon the font tool-set provided by the 'systemfonts' package.

=== debian/tests/control ===
Tests: run-unit-test
Restrictions: allow-stderr
Depends:
 @,
 r-cran-covr,
 r-cran-knitr,
 r-cran-rmarkdown,
 r-cran-testthat (>= 3.0.0),
